Package com.sas.lsaf.security.audit

## Enum AuditEntry.Mode

- java.lang.Object
- - java.lang.Enum<AuditEntry.Mode>
  - - com.sas.lsaf.security.audit.AuditEntry.Mode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AuditEntry.Mode>`
  Enclosing class:
    AuditEntry

      public static enum AuditEntry.Mode
      extends java.lang.Enum<AuditEntry.Mode>

  The execution mode in which the audit entry was recorded.
  Since:
    2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADMIN` | The entry was recorded while the end user was in administrative mode.
    `SYSTEM` | The entry was recorded by a system action.
    `USER` | The entry was recorded during a typical user session mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuditEntry.Mode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AuditEntry.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER

          public static final AuditEntry.Mode USER

      The entry was recorded during a typical user session mode. No elevated privileges or access rights were in place when the entry was recorded. This is the typical mode in which most records are recorded.

    - #### SYSTEM

          public static final AuditEntry.Mode SYSTEM

      The entry was recorded by a system action. System actions are actions that the system executes on behave of a user or the system.

    - #### ADMIN

          public static final AuditEntry.Mode ADMIN

      The entry was recorded while the end user was in administrative mode. This is a privileged mode that enables the end user to make changes that they might not necessarily have the access rights to make in user mode.

  - ### Method Detail

    - #### values

          public static AuditEntry.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditEntry.Mode c : AuditEntry.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditEntry.Mode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null